Bug 994342 - Win8-32 guest prompts error 'No such host is known. (0x80072AF9)' when use 'w32tm' to query time
Win8-32 guest prompts error 'No such host is known. (0x80072AF9)' when use 'w...
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
low Severity medium
: rc
: ---
Assigned To: Sameeh Jubran
Sitong Liu
:
Depends On:
Blocks: 1069309
  Show dependency treegraph
 
Reported: 2013-08-07 01:31 EDT by CongLi
Modified: 2017-11-30 03:26 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Simple NTP client (2.15 KB, application/octet-stream)
2015-02-19 11:16 EST, Yossi Hindin
no flags Details
ntpc core dump (14.50 KB, application/x-xz)
2015-03-02 03:58 EST, CongLi
no flags Details

  None (edit)
Description CongLi 2013-08-07 01:31:47 EDT
Description of problem:
Win8-32 guest prompts error 'No such host is known. (0x80072AF9)' when use 'w32tm' to query time

Version-Release number of selected component (if applicable):
kernel-3.9.0-0.55.el7.x86_64
qemu-kvm-1.5.2-1.el7.x86_64

How reproducible:
50%

Steps to Reproduce:
1. Boot a Win8-32 guest with CML:
/home/staf-kvm-devel/autotest-devel/client/tests/virt/qemu/qemu \
    -S \
    -name 'virt-tests-vm1' \
    -nodefaults \
    -chardev socket,id=qmp_id_qmpmonitor1,path=/tmp/monitor-qmpmonitor1-20130806-140320-ZbVhLBXc,server,nowait \
    -mon chardev=qmp_id_qmpmonitor1,mode=control \
    -chardev socket,id=serial_id_serial1,path=/tmp/serial-serial1-20130806-140320-ZbVhLBXc,server,nowait \
    -device isa-serial,chardev=serial_id_serial1 \
    -chardev socket,id=seabioslog_id_20130806-140320-ZbVhLBXc,path=/tmp/seabios-20130806-140320-ZbVhLBXc,server,nowait \
    -device isa-debugcon,chardev=seabioslog_id_20130806-140320-ZbVhLBXc,iobase=0x402 \
    -device ich9-usb-uhci1,id=usb1,bus=pci.0,addr=0x4 \
    -drive file='/home/staf-kvm-devel/autotest-devel/client/tests/virt/shared/data/images/win8-32-virtio.qcow2',index=0,if=none,id=drive-ide0-0-0,media=disk,cache=none,snapshot=off,format=qcow2,aio=native \
    -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0 \
    -device virtio-net-pci,netdev=id23RcyP,mac='9a:ae:af:b0:b1:b2',bus=pci.0,addr=0x3,id='idvnNn4L' \
    -netdev tap,id=id23RcyP,vhost=on,fd=22 \
    -m 4096 \
    -smp 4,maxcpus=4,cores=2,threads=1,sockets=2 \
    -cpu 'SandyBridge',+sep \
    -M pc \
    -drive file='/home/staf-kvm-devel/autotest-devel/client/tests/virt/shared/data/isos/windows/winutils.iso',index=1,if=none,id=drive-ide0-0-1,media=cdrom,format=raw \
    -device ide-drive,bus=ide.0,unit=1,drive=drive-ide0-0-1 \
    -device usb-tablet,id=usb-tablet1,bus=usb1.0,port=1 \
    -vnc :0 \
    -vga std \
    -rtc base=localtime,clock=host,driftfix=slew  \
    -boot order=cdn,once=c,menu=off  \
    -enable-kvm

2. Take a time reading from the guest:
   w32tm /stripchart /samples:1 /computer:clock.redhat.com
 
3. Run a load on host:
   bzip2 -c --best /dev/urandom > /dev/null

4. Take a time reading from the guest:
   w32tm /stripchart /samples:1 /computer:clock.redhat.com

Actual results:
In guest:
The following error occurred: No such host is known. (0x80072AF9)

Expected results:
No error occur.

Additional info:
1. cpuinfo:
processor	: 1
vendor_id	: AuthenticAMD
cpu family	: 15
model		: 67
model name	: Dual-Core AMD Opteron(tm) Processor 1216
stepping	: 3
cpu MHz		: 2400.000
cache size	: 1024 KB
physical id	: 0
siblings	: 2
core id		: 1
cpu cores	: 2
apicid		: 1
initial apicid	: 1
fpu		: yes
fpu_exception	: yes
cpuid level	: 1
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt rdtscp lm 3dnowext 3dnow rep_good nopl extd_apicid pni cx16 lahf_lm cmp_legacy svm extapic cr8_legacy
bogomips	: 4821.93
TLB size	: 1024 4K pages
clflush size	: 64
cache_alignment	: 64
address sizes	: 40 bits physical, 48 bits virtual
power management: ts fid vid ttp tm stc

2.
Comment 3 Yan Vugenfirer 2013-08-07 11:31:32 EDT
Can you run ping from guest to out side IP to see how network behaves during host load?

Thanks,
Yan.
Comment 4 Marcelo Tosatti 2013-08-07 18:11:37 EDT
(In reply to Yan Vugenfirer from comment #3)
> Can you run ping from guest to out side IP to see how network behaves during
> host load?
> 
> Thanks,
> Yan.

And/or please attempt to reproduce with a different network device, such as e1000.
Comment 5 Marcelo Tosatti 2013-08-07 20:58:25 EDT
Can you find a message similar to on the event log:

"NtpClient was unable to set a manual peer to use as
a time source because of DNS resolution error on 'time.windows.com,0x9'.
NtpClient will try again in 15 minutes and double the reattempt interval
thereafter. The error was: No such host is known. (0x80072AF9)"
Comment 9 juzhang 2013-12-22 21:22:19 EST
Hi Cong,

Could you have a look commment8 and add your comment?

Best Regards,
Junyi
Comment 11 Miki Mishael 2014-01-12 07:14:13 EST
Hi CongLi,

Could you please guide me how to run the auto test, Where can I find the images and the script and if you write few words how to run the setup I will appreciate it.

Thanks!
Comment 16 Miki Mishael 2014-01-23 05:51:46 EST
Hello Cong,

I have access to the guest but is the host on the same location,
ssh -X root@amd-1216-8-2.englab.nay.redhat.com?

When I search for qemu-kvm I can't see any processes in top nor for bzip2.

Could you please provide info on the host access, where the script is run from.

Thanks,
Comment 20 Ronen Hod 2014-01-28 07:47:32 EST
Mike,

Please try to reproduce and isolate the cause.

Thanks.
Comment 21 Ronen Hod 2014-01-28 09:10:27 EST
I wonder what the host shows (primarily top).
Comment 23 Mike Cao 2014-01-28 21:01:35 EST
(In reply to Ronen Hod from comment #20)
> Mike,
> 
> Please try to reproduce and isolate the cause.
> 
> Thanks.

Hi,

I failed and I think loading host it the keypoint .Following is my steps:

Scenario1:
steps exactly same as comment #0
Can not reproduce the issue (I think the free memory is too much on my server)

Scenario2:
tried the same steps as comment #0 with win8-64
Can not reproduce the issue 

Scenario 3:
Tried all the stpes in comment #0 ,after that 
use stress to load the host to use all the free memory 

Actual Results:
w32tm prompts 0x800705b4‎.

I tried to run more times but the host alway hit :Out of memory: Kill process 26825 (sshd) score 0 or sacrifice child

So I ask following needinfo from reporter:
1.Can you try to paste the free -m or top when the bug occurs?
2.Can you try to reproduce this issue on a idle host ?
3.Can you try to reproduce it with IP instead of the domain name on a load host
Comment 24 Mike Cao 2014-01-28 21:02:32 EST
(In reply to Mike Cao from comment #23)
> (In reply to Ronen Hod from comment #20)
> > Mike,
> > 
> > Please try to reproduce and isolate the cause.
> > 
> > Thanks.
> 
> Hi,
> 
> I failed and I think loading host it the keypoint .Following is my steps:

I mean I failed to reproduce it ..
> So I ask following needinfo from reporter:
> 1.Can you try to paste the free -m or top when the bug occurs?
> 2.Can you try to reproduce this issue on a idle host ?
> 3.Can you try to reproduce it with IP instead of the domain name on a load
> host
Comment 28 Yossi Hindin 2015-02-19 11:14:25 EST
Hi

  It is possible that the issue arise from some networking problem, as opposed to the NetKVM driver in the Windows quest. Please, try to run the  program ntpc built from the attached archive on the host or Linux guest in the setup where the issue take place. 

   ntpc accepts the name of an NTP server like clock.redhat.com and perform simple query similar to w32tm.

   Regards,
      Joseph Hindin
Comment 29 Yossi Hindin 2015-02-19 11:16:47 EST
Created attachment 993689 [details]
Simple NTP client

The ZIP archive contains sources of the simple NTP client.
Comment 32 CongLi 2015-03-02 03:58:14 EST
Created attachment 996997 [details]
ntpc core dump
Comment 35 Yossi Hindin 2015-03-05 12:17:59 EST
Sorry, the ntpc programs accepts mandatory argument, name of the NTP host.
like
$ ./ntpc clock.redhat.com

Please let me know if the program crashes with such argument.

   Regards,

      Joseph Hindin

Note You need to log in before you can comment on or make changes to this bug.